<?php
	session_start(); 
	include('../conn/connect.php');

	if($_POST['status']=='Report'){
		$status= "status = '1'";
	}else if($_POST['status']=='doing'){
		$status= "(status = '2' or status = '3')";
	}
	$sql_request = "SELECT * FROM request,place WHERE request.placeID = place.ID_place and ".$status." ORDER BY request.ID DESC";
	$query_request = mysqli_query($conn,$sql_request);


?>
<center>
	<table>
		<tr>
			<th align="center" width="50">
				ลำดับที่
			</th>
			<th align="center" width="100">
				วันที่
			</th>
			<th align="center" width="100">
				หมายเลขปัญหา
			</th>
			<th align="center" width="180">
				หัวข้อปัญหา
			</th>
			<th align="center" width="250">
				สถานที่
			</th>
			<th align="center" width="70">
				เวลา
			</th>
			<th align="center" width="120">
				สถานะ
			</th>
			<th align="center" width="150">
				เครื่องมือ
			</th>
		</tr>
<?php
			$result_request_num = 1;
			while ($result_request=mysqli_fetch_array($query_request)) {
?>
					<tr>
						<td align="center">
							<?=$result_request_num?>
						</td>
						<td align="center">
							<?=date_time_work(substr($result_request['time_create'],0,10))?>
						</td>
						<td align="center">
							<?=$result_request['ID']?>
						</td>
						<td align="left" style="padding: 5px;">
							<?=$result_request['request_type']?>
						</td>
						<td align="left" style="padding: 5px;">
							ห้องน้ำ <?php 
								if($result_request['gender']=="f"){ echo"หญิง"; }
								else if($result_request['gender']=="m"){echo"ชาย";}
								else{echo"รวม";} ?> 
							<?=$result_request['remark']?> 
							ชั้น <?=$result_request['floors']?> 
							ตึก <?=$result_request['building']?>
						</td>
						<td align="center">
							<?=substr($result_request['time_create'],11,5);?> น.
						</td>
						<td align="center">
							<?php
								if($result_request['status']=="1"){
									echo "แจ้งปัญหา";
								}else if ($result_request['status']=="2") {
									echo "กำลังดำเนินการ";
								}else if ($result_request['status']=="3") {
									echo "รอตรวจสอบ";
								}else if ($result_request['status']=="4") {
									echo "แก้ปัญหาเรียบร้อย";
								}else if ($result_request['status']=="5") {
									echo "ไม่สามารถแก้ปัญหา";
								}
							?>
						</td>
						<td align="center">
<?php 
							if($result_request['status']=="1" && $result_request['request_typeID']!="1"){
								echo '<button onclick="javascript:update_work(\''.$result_request['ID'].'\',\''.$result_request['status'].'\');" style="background-color : #FF0000;">รับแจ้ง</button>';
							}else if($result_request['status']=="3" || $result_request['status']=="2" || $result_request['request_typeID']=="1") {
								echo '<button  style="background-color : #CC6600;">รายละเอีอด</button>';
							}
?>
						</td>

					</tr>
<?php

				$result_request_num++;
			}

?>
	</table>
</center>